// 通过编译时的环境变量，来区分请求域名为测试/生产
const { MODE } = import.meta.env

// 公用配置
let config = {
  // api: 'http://111.172.230.93:9876', // 本地测试
  api: 'https://api.hbrja.com', // 本地测试
  // api: 'http://31c84bb0.r36.cpolar.top ', // 内网
  cdn: 'https://minio.hbrja.com',
  prefix: ''
}

// 环境区分
if (MODE === 'development') {
  // 测试环境
  config = {
    ...config,
    secretKey: ''
  }
} else if (MODE === 'production') {
  // 生产环境
  config = {
    ...config,
    secretKey: ''
  }
}

export default config
